Subject: Re: bug#72188: 29.2; Won't render U+2F75 kangxi radical character

From: Robert Nikander <[email-masked]>
Date: Sun, 4 Aug 2024 01:28:35 -0600

On 8/4/2024 1:24 AM, Eli Zaretskii wrote:
>>
>> It should, yes.  However, the Emacs setup for CJK fonts is very
>> complex, and we don't currently have experts on board to understand
>> why it doesn't work on MS-Windows.  So for now, you will have to put
>> the below somewhere in your init file:
>>
>>    (set-fontset-font t 'han
>>                        '("Microsoft YaHei" . "iso10646-1") nil 'append)
>>
>> to have these characters covered.
>>
>> If this works for you, it is currently all we can do for this
>> situation.  (And before you ask: we cannot have the above by default
>> in Emacs OOTB because we don't want to promote non-free fonts that
>> Windows provides.)
> 
> No further comments, so I'm now closing this bug.
> 
> Meanwhile, I've installed several small bugfixes on the master branch,
> which will hopefully improve the search and use of Han fonts on
> MS-Windows in Emacs 31.

Sorry, this got buried and I forgot to respond. Your previous comment 
helped -- the (set-fontset-font ...) expression in my init file at least 
got the character to render as desired.

thanks,
Rob